import { XmlNamespaceDefinitionBase } from "./XmlNamespaceDefinitionBase";
import { ST_ConformanceClass } from "./ST_ConformanceClass";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { ST_DataValidationType } from "./ST_DataValidationType";
import { ST_DataValidationErrorStyle } from "./ST_DataValidationErrorStyle";
import { ST_DataValidationImeMode } from "./ST_DataValidationImeMode";
import { ST_DataValidationOperator } from "./ST_DataValidationOperator";
import { Nullable$1, Type } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { ST_CfType } from "./ST_CfType";
import { ST_ConditionalFormattingOperator } from "./ST_ConditionalFormattingOperator";
import { ST_TimePeriod } from "./ST_TimePeriod";
import { ST_CfvoType } from "./ST_CfvoType";
import { ST_DataBarDirection } from "./ST_DataBarDirection";
import { ST_DataBarAxisPosition } from "./ST_DataBarAxisPosition";
import { ST_IconSetType } from "./ST_IconSetType";
import { ST_BorderStyle } from "./ST_BorderStyle";
import { ST_UnsignedIntHex } from "./ST_UnsignedIntHex";
import { ST_HorizontalAlignment } from "./ST_HorizontalAlignment";
import { ST_VerticalAlignment } from "./ST_VerticalAlignment";
import { ST_CalcMode } from "./ST_CalcMode";
import { ST_RefMode } from "./ST_RefMode";
import { ST_CellType } from "./ST_CellType";
import { ST_UnsignedShortHex } from "./ST_UnsignedShortHex";
import { ST_Guid } from "./ST_Guid";
import { ST_SheetState } from "./ST_SheetState";
import { ST_FilterOperator } from "./ST_FilterOperator";
import { ST_SheetViewType } from "./ST_SheetViewType";
import { ST_Comments } from "./ST_Comments";
import { ST_Objects } from "./ST_Objects";
import { ST_DateTimeGrouping } from "./ST_DateTimeGrouping";
import { ST_DynamicFilterType } from "./ST_DynamicFilterType";
import { ST_CellFormulaType } from "./ST_CellFormulaType";
import { ST_CalendarType } from "./ST_CalendarType";
import { ST_GradientType } from "./ST_GradientType";
import { ST_PageOrder } from "./ST_PageOrder";
import { ST_Orientation } from "./ST_Orientation";
import { ST_CellComments } from "./ST_CellComments";
import { ST_PrintError } from "./ST_PrintError";
import { ST_Pane } from "./ST_Pane";
import { ST_PaneState } from "./ST_PaneState";
import { ST_PatternType } from "./ST_PatternType";
import { ST_FontScheme } from "./ST_FontScheme";
import { ST_SortBy } from "./ST_SortBy";
import { ST_SortMethod } from "./ST_SortMethod";
import { ST_TotalsRowFunction } from "./ST_TotalsRowFunction";
import { ST_TableType } from "./ST_TableType";
import { ST_TableStyleType } from "./ST_TableStyleType";
import { ST_UnderlineValues } from "./ST_UnderlineValues";
import { ST_VerticalAlignRun } from "./ST_VerticalAlignRun";
import { ST_UpdateLinks } from "./ST_UpdateLinks";
import { ST_Visibility } from "./ST_Visibility";
/**
 * @hidden
 */
export declare class SpreadsheetML2009Main extends XmlNamespaceDefinitionBase {
    static $t: Type;
    static readonly b0: string;
    static readonly ar: string;
    static readonly au: string;
    static readonly a8: string;
    static readonly a9: string;
    static readonly av: string;
    static readonly aw: string;
    static readonly ax: string;
    static readonly ay: string;
    static readonly a6: string;
    static readonly bc: string;
    static readonly bd: string;
    static readonly be: string;
    static readonly bi: string;
    static readonly bm: string;
    static readonly bn: string;
    static readonly bo: string;
    static readonly br: string;
    static readonly bt: string;
    static readonly bv: string;
    static readonly b3: string;
    static readonly b4: string;
    static readonly b5: string;
    static readonly b7: string;
    static readonly cf: string;
    static readonly cg: string;
    static readonly ch: string;
    static readonly cj: string;
    static readonly cl: string;
    static readonly cm: string;
    static readonly cn: string;
    static readonly co: string;
    static readonly cq: string;
    static readonly az: string;
    static readonly a0: string;
    static readonly a1: string;
    static readonly a2: string;
    static readonly a3: string;
    static readonly a4: string;
    static readonly a5: string;
    static readonly a7: string;
    static readonly an: SpreadsheetML2009Main;
    constructor();
    i(a: ST_ConformanceClass): string;
    protected get_j(): string;
    readonly j: string;
    static cy(a: XmlPartManagerBase, b: ST_DataValidationType, c: ST_DataValidationErrorStyle, d: ST_DataValidationImeMode, e: ST_DataValidationOperator, f: boolean, g: boolean, h: boolean, i: boolean, j: string, k: string, l: string, m: string): {
        p1: ST_DataValidationType;
        p2: ST_DataValidationErrorStyle;
        p3: ST_DataValidationImeMode;
        p4: ST_DataValidationOperator;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: string;
        p10: string;
        p11: string;
        p12: string;
    };
    static dg(a: XmlPartManagerBase, b?: ST_DataValidationType, c?: ST_DataValidationErrorStyle, d?: ST_DataValidationImeMode, e?: ST_DataValidationOperator, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: string, k?: string, l?: string, m?: string): void;
    static cz(a: XmlPartManagerBase, b: boolean, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>): {
        p1: boolean;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
    };
    static dh(a: XmlPartManagerBase, b?: boolean, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>): void;
    static c0(a: XmlPartManagerBase): void;
    static di(a: XmlPartManagerBase): void;
    static c1(a: XmlPartManagerBase): void;
    static dj(a: XmlPartManagerBase): void;
    static c2(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static dk(a: XmlPartManagerBase, b: string): void;
    static de(a: XmlPartManagerBase): void;
    static cw(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static dd(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>): void;
    static dc(a: XmlPartManagerBase): void;
    static da(a: XmlPartManagerBase, b: string, c?: Nullable$1<ST_CfType>, d?: number, e?: boolean, f?: Nullable$1<ST_ConditionalFormattingOperator>, g?: Nullable$1<boolean>): void;
    static cv(a: XmlPartManagerBase, b: ST_CfvoType, c: string, d: boolean): {
        p1: ST_CfvoType;
        p2: string;
        p3: boolean;
    };
    static db(a: XmlPartManagerBase, b: ST_CfvoType, c?: boolean): void;
    static cx(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>, g: Nullable$1<ST_DataBarDirection>, h: Nullable$1<boolean>, i: Nullable$1<boolean>, j: Nullable$1<ST_DataBarAxisPosition>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
        p3: Nullable$1<boolean>;
        p4: Nullable$1<boolean>;
        p5: Nullable$1<boolean>;
        p6: Nullable$1<ST_DataBarDirection>;
        p7: Nullable$1<boolean>;
        p8: Nullable$1<boolean>;
        p9: Nullable$1<ST_DataBarAxisPosition>;
    };
    static df(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>, g: Nullable$1<ST_DataBarDirection>, h: Nullable$1<boolean>, i: Nullable$1<boolean>, j: Nullable$1<ST_DataBarAxisPosition>): void;
    static cu(a: XmlPartManagerBase, b: ST_IconSetType, c: number): {
        p1: ST_IconSetType;
        p2: number;
    };
    static c9(a: XmlPartManagerBase, b: ST_IconSetType, c: number): void;
    static c3(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: boolean): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static dl(a: XmlPartManagerBase, b?: string, c?: boolean, d?: boolean, e?: boolean): void;
    static c4(a: XmlPartManagerBase): void;
    static dm(a: XmlPartManagerBase): void;
    static c7(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static dq(a: XmlPartManagerBase, b: string): void;
    static c5(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static dn(a: XmlPartManagerBase, b: string): void;
    static c6(a: XmlPartManagerBase): void;
    static dp(a: XmlPartManagerBase): void;
    static c8(a: XmlPartManagerBase): void;
    static dr(a: XmlPartManagerBase): void;
}
/**
 * @hidden
 */
export declare class SpreadsheetMLMain extends XmlNamespaceDefinitionBase {
    static $t: Type;
    private static readonly lg;
    private static readonly lf;
    static readonly cj: string;
    static readonly co: string;
    static readonly cz: string;
    static readonly c1: string;
    static readonly c5: string;
    static readonly dc: string;
    static readonly dg: string;
    static readonly dj: string;
    static readonly dk: string;
    static readonly dm: string;
    static readonly dn: string;
    static readonly dq: string;
    static readonly dt: string;
    static readonly d0: string;
    static readonly d1: string;
    static readonly d4: string;
    static readonly d7: string;
    static readonly d8: string;
    static readonly d9: string;
    static readonly ea: string;
    static readonly ef: string;
    static readonly eg: string;
    static readonly ei: string;
    static readonly ep: string;
    static readonly eq: string;
    static readonly et: string;
    static readonly ex: string;
    static readonly eu: string;
    static readonly ew: string;
    static readonly ey: string;
    static readonly e0: string;
    static readonly e2: string;
    static readonly e3: string;
    static readonly e6: string;
    static readonly e7: string;
    static readonly fc: string;
    static readonly fd: string;
    static readonly fe: string;
    static readonly fj: string;
    static readonly fk: string;
    static readonly fp: string;
    static readonly fq: string;
    static readonly fs: string;
    static readonly ft: string;
    static readonly fu: string;
    static readonly fx: string;
    static readonly fy: string;
    static readonly f1: string;
    static readonly f4: string;
    static readonly f5: string;
    static readonly f6: string;
    static readonly gg: string;
    static readonly gh: string;
    static readonly gq: string;
    static readonly gv: string;
    static readonly g1: string;
    static readonly g2: string;
    static readonly g5: string;
    static readonly g7: string;
    static readonly g8: string;
    static readonly ha: string;
    static readonly hh: string;
    static readonly hi: string;
    static readonly hj: string;
    static readonly hk: string;
    static readonly hl: string;
    static readonly hm: string;
    static readonly hn: string;
    static readonly ho: string;
    static readonly hp: string;
    static readonly hq: string;
    static readonly hr: string;
    static readonly hs: string;
    static readonly ht: string;
    static readonly hu: string;
    static readonly hv: string;
    static readonly hx: string;
    static readonly hy: string;
    static readonly h0: string;
    static readonly h3: string;
    static readonly h6: string;
    static readonly h7: string;
    static readonly id: string;
    static readonly ig: string;
    static readonly ij: string;
    static readonly ip: string;
    static readonly iq: string;
    static readonly ir: string;
    static readonly is: string;
    static readonly ix: string;
    static readonly i4: string;
    static readonly jg: string;
    static readonly jm: string;
    static readonly jn: string;
    static readonly jo: string;
    static readonly jq: string;
    static readonly js: string;
    static readonly j1: string;
    static readonly b7: string;
    static readonly kc: string;
    static readonly ke: string;
    static readonly kf: string;
    static readonly k4: string;
    static readonly k5: string;
    static readonly ld: string;
    static readonly lh: string;
    static readonly lj: string;
    static readonly ll: string;
    static readonly lm: string;
    static readonly lo: string;
    static readonly lp: string;
    static readonly lq: string;
    static readonly lu: string;
    static readonly lz: string;
    static readonly l1: string;
    static readonly l3: string;
    static readonly l4: string;
    static readonly l5: string;
    static readonly mb: string;
    static readonly mh: string;
    static readonly mk: string;
    static readonly ml: string;
    static readonly mm: string;
    static readonly ms: string;
    static readonly my: string;
    static readonly mz: string;
    static readonly m0: string;
    static readonly m7: string;
    static readonly nv: string;
    static readonly nx: string;
    static readonly n1: string;
    static readonly n4: string;
    static readonly n5: string;
    static readonly n6: string;
    static readonly oe: string;
    static readonly oh: string;
    static readonly om: string;
    static readonly oo: string;
    static readonly op: string;
    static readonly oq: string;
    static readonly or: string;
    static readonly ot: string;
    static readonly ou: string;
    static readonly ov: string;
    static readonly ow: string;
    static readonly ox: string;
    static readonly oy: string;
    static readonly oz: string;
    static readonly ok: string;
    static readonly pv: string;
    static readonly p1: string;
    static readonly p3: string;
    static readonly p7: string;
    static readonly p8: string;
    static readonly qc: string;
    static readonly qe: string;
    static readonly qg: string;
    static readonly qm: string;
    static readonly qn: string;
    static readonly qp: string;
    static readonly qq: string;
    static readonly qt: string;
    static readonly qu: string;
    static readonly qv: string;
    static readonly qw: string;
    static readonly qx: string;
    static readonly qy: string;
    static readonly qz: string;
    static readonly q0: string;
    static readonly q4: string;
    static readonly re: string;
    static readonly rg: string;
    static readonly rm: string;
    static readonly rt: string;
    static readonly r3: string;
    static readonly r7: string;
    static readonly r8: string;
    static readonly sj: string;
    static readonly so: string;
    static readonly sp: string;
    static readonly ss: string;
    static readonly su: string;
    static readonly sx: string;
    static readonly s0: string;
    static readonly ao: SpreadsheetMLMain;
    constructor();
    i(a: ST_ConformanceClass): string;
    protected get_j(): string;
    readonly j: string;
    private static tj;
    private static hg;
    private static rv;
    private static uq;
    private static aab;
    static ur(a: XmlPartManagerBase, b: string, c: ST_BorderStyle): {
        p2: ST_BorderStyle;
    };
    static aac(a: XmlPartManagerBase, b: string, c?: ST_BorderStyle): void;
    static us(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>, d: Nullable$1<number>, e: Nullable$1<ST_UnsignedIntHex>, f: Nullable$1<number>, g: number): {
        p2: Nullable$1<boolean>;
        p3: Nullable$1<number>;
        p4: Nullable$1<ST_UnsignedIntHex>;
        p5: Nullable$1<number>;
        p6: number;
    };
    static aad(a: XmlPartManagerBase, b: string, c?: Nullable$1<boolean>, d?: Nullable$1<number>, e?: Nullable$1<ST_UnsignedIntHex>, f?: Nullable$1<number>, g?: number): void;
    private static ut;
    private static aae;
    private static uu;
    private static aaf;
    private static uv;
    private static aag;
    static tk(a: XmlPartManagerBase, b: Nullable$1<ST_HorizontalAlignment>, c: Nullable$1<ST_VerticalAlignment>, d: Nullable$1<number>, e: boolean, f: Nullable$1<number>, g: Nullable$1<number>, h: boolean, i: boolean, j: Nullable$1<number>): {
        p1: Nullable$1<ST_HorizontalAlignment>;
        p2: Nullable$1<ST_VerticalAlignment>;
        p3: Nullable$1<number>;
        p4: boolean;
        p5: Nullable$1<number>;
        p6: Nullable$1<number>;
        p7: boolean;
        p8: boolean;
        p9: Nullable$1<number>;
    };
    static y5(a: XmlPartManagerBase, b?: Nullable$1<ST_HorizontalAlignment>, c?: Nullable$1<ST_VerticalAlignment>, d?: Nullable$1<number>, e?: boolean, f?: Nullable$1<number>, g?: Nullable$1<number>, h?: boolean, i?: boolean, j?: Nullable$1<number>): void;
    static tl(a: XmlPartManagerBase, b: boolean, c: boolean): {
        p1: boolean;
        p2: boolean;
    };
    static y6(a: XmlPartManagerBase, b?: boolean, c?: boolean): void;
    static tm(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static y7(a: XmlPartManagerBase, b: string): void;
    static tn(a: XmlPartManagerBase): void;
    static y8(a: XmlPartManagerBase): void;
    static to(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static y9(a: XmlPartManagerBase, b: string): void;
    static tp(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static za(a: XmlPartManagerBase, b?: boolean): void;
    static tq(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static zb(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<number>, d?: Nullable$1<ST_UnsignedIntHex>, e?: Nullable$1<number>, f?: number): void;
    static tr(a: XmlPartManagerBase): void;
    static zc(a: XmlPartManagerBase): void;
    static ts(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
    };
    static zd(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean): void;
    static tt(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static ze(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static tu(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static zf(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static tv(a: XmlPartManagerBase, b: number, c: Nullable$1<number>, d: Nullable$1<number>, e: boolean, f: boolean): {
        p1: number;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: boolean;
        p5: boolean;
    };
    static zg(a: XmlPartManagerBase, b?: number, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: boolean, f?: boolean): void;
    static tw(a: XmlPartManagerBase, b: Nullable$1<number>, c: ST_CalcMode, d: boolean, e: ST_RefMode, f: boolean, g: number, h: number, i: boolean, j: boolean, k: boolean, l: boolean, m: Nullable$1<number>, n: Nullable$1<boolean>): {
        p1: Nullable$1<number>;
        p2: ST_CalcMode;
        p3: boolean;
        p4: ST_RefMode;
        p5: boolean;
        p6: number;
        p7: number;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: Nullable$1<number>;
        p13: Nullable$1<boolean>;
    };
    static zh(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: ST_CalcMode, d?: boolean, e?: ST_RefMode, f?: boolean, g?: number, h?: number, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: Nullable$1<number>, n?: Nullable$1<boolean>): void;
    static tx(a: XmlPartManagerBase, b: string, c: boolean): {
        p1: string;
        p2: boolean;
    };
    static zi(a: XmlPartManagerBase, b: string, c?: boolean): void;
    static ty(a: XmlPartManagerBase, b: string, c: number, d: ST_CellType, e: number, f: number, g: boolean): {
        p1: string;
        p2: number;
        p3: ST_CellType;
        p4: number;
        p5: number;
        p6: boolean;
    };
    static aq(a: string): ST_CellType;
    static zj(a: XmlPartManagerBase, b: string, c?: number, d?: ST_CellType, e?: number, f?: number, g?: boolean): void;
    static tz(a: XmlPartManagerBase, b: string, c: ST_CellType, d: number): {
        p1: string;
        p2: ST_CellType;
        p3: number;
    };
    static zk(a: XmlPartManagerBase, b?: string, c?: ST_CellType, d?: number): void;
    static t0(a: XmlPartManagerBase, b: number, c: string, d: Nullable$1<number>, e: Nullable$1<number>, f: boolean, g: boolean): {
        p1: number;
        p2: string;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: boolean;
        p6: boolean;
    };
    static zl(a: XmlPartManagerBase, b: number, c?: string, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: boolean, g?: boolean): void;
    static t1(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static zm(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static t2(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static zn(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static t3(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static zo(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static t4(a: XmlPartManagerBase, b: string, c: Nullable$1<ST_CfType>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<boolean>, g: boolean, h: boolean, i: boolean, j: Nullable$1<ST_ConditionalFormattingOperator>, k: string, l: Nullable$1<ST_TimePeriod>, m: Nullable$1<number>, n: Nullable$1<number>, o: boolean, p: string, q: Nullable$1<boolean>): {
        p2: Nullable$1<ST_CfType>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<boolean>;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: Nullable$1<ST_ConditionalFormattingOperator>;
        p10: string;
        p11: Nullable$1<ST_TimePeriod>;
        p12: Nullable$1<number>;
        p13: Nullable$1<number>;
        p14: boolean;
        p15: string;
        p16: Nullable$1<boolean>;
    };
    static zp(a: XmlPartManagerBase, b: string, c?: Nullable$1<ST_CfType>, d?: Nullable$1<number>, e?: number, f?: boolean, g?: Nullable$1<boolean>, h?: Nullable$1<boolean>, i?: Nullable$1<boolean>, j?: Nullable$1<ST_ConditionalFormattingOperator>, k?: string, l?: Nullable$1<ST_TimePeriod>, m?: Nullable$1<number>, n?: Nullable$1<number>, o?: Nullable$1<boolean>, p?: string, q?: Nullable$1<boolean>): void;
    static t5(a: XmlPartManagerBase, b: ST_CfvoType, c: string, d: boolean): {
        p1: ST_CfvoType;
        p2: string;
        p3: boolean;
    };
    static t6(a: XmlPartManagerBase, b: string, c: ST_CfvoType, d: string, e: boolean): {
        p2: ST_CfvoType;
        p3: string;
        p4: boolean;
    };
    static zq(a: XmlPartManagerBase, b: ST_CfvoType, c?: string, d?: boolean): void;
    static t7(a: XmlPartManagerBase): void;
    static zr(a: XmlPartManagerBase): void;
    static ub(a: XmlPartManagerBase, b: number, c: boolean, d: number, e: boolean): {
        p1: number;
        p2: boolean;
        p3: number;
        p4: boolean;
    };
    static zv(a: XmlPartManagerBase, b: number, c?: boolean, d?: number, e?: boolean): void;
    static t8(a: XmlPartManagerBase, b: boolean, c: string): {
        p1: boolean;
        p2: string;
    };
    static zs(a: XmlPartManagerBase, b?: boolean, c?: string): void;
    static t9(a: XmlPartManagerBase, b: Nullable$1<ST_UnsignedShortHex>, c: boolean, d: boolean): {
        p1: Nullable$1<ST_UnsignedShortHex>;
        p2: boolean;
        p3: boolean;
    };
    static zt(a: XmlPartManagerBase, b?: Nullable$1<ST_UnsignedShortHex>, c?: boolean, d?: boolean): void;
    static ua(a: XmlPartManagerBase, b: string, c: string, d: string, e: Nullable$1<number>, f: boolean, g: boolean): {
        p1: string;
        p2: string;
        p3: string;
        p4: Nullable$1<number>;
        p5: boolean;
        p6: boolean;
    };
    static zu(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: Nullable$1<number>, f?: boolean, g?: boolean): void;
    static uc(a: XmlPartManagerBase, b: number, c: number): {
        p1: number;
        p2: number;
    };
    static zw(a: XmlPartManagerBase, b: number, c: number): void;
    static ud(a: XmlPartManagerBase, b: number, c: number, d: Nullable$1<number>, e: number, f: boolean, g: boolean, h: boolean, i: boolean, j: number, k: boolean): {
        p1: number;
        p2: number;
        p3: Nullable$1<number>;
        p4: number;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: number;
        p10: boolean;
    };
    static zx(a: XmlPartManagerBase, b: number, c: number, d?: Nullable$1<number>, e?: number, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: number, k?: boolean): void;
    static ue(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static zy(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<number>, d?: Nullable$1<ST_UnsignedIntHex>, e?: Nullable$1<number>, f?: number): void;
    static uf(a: XmlPartManagerBase, b: Nullable$1<number>, c: boolean): {
        p1: Nullable$1<number>;
        p2: boolean;
    };
    static zz(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: boolean): void;
    static z0(a: XmlPartManagerBase): void;
    static ug(a: XmlPartManagerBase): void;
    static z1(a: XmlPartManagerBase): void;
    static uh(a: XmlPartManagerBase): void;
    static z2(a: XmlPartManagerBase): void;
    static ui(a: XmlPartManagerBase, b: string, c: number, d: Nullable$1<ST_Guid>, e: Nullable$1<number>): {
        p1: string;
        p2: number;
        p3: Nullable$1<ST_Guid>;
        p4: Nullable$1<number>;
    };
    static z3(a: XmlPartManagerBase, b: string, c: number, d?: Nullable$1<ST_Guid>, e?: Nullable$1<number>): void;
    static uj(a: XmlPartManagerBase): void;
    static z4(a: XmlPartManagerBase): void;
    static uk(a: XmlPartManagerBase): void;
    static z5(a: XmlPartManagerBase): void;
    static ul(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static z6(a: XmlPartManagerBase, b?: boolean): void;
    static um(a: XmlPartManagerBase, b: List$1<string>, c: boolean): {
        p1: List$1<string>;
        p2: boolean;
    };
    static z7(a: XmlPartManagerBase, b: List$1<string>, c?: boolean): void;
    static un(a: XmlPartManagerBase, b: number, c: string, d: string): {
        p1: number;
        p2: string;
        p3: string;
    };
    static z8(a: XmlPartManagerBase, b: number, c: string, d?: string): void;
    static uo(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: string, l: string, m: string, n: string, o: string, p: string): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: string;
        p11: string;
        p12: string;
        p13: string;
        p14: string;
        p15: string;
    };
    static z9(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: string, l?: string, m?: string, n?: string, o?: string, p?: string): void;
    static up(a: XmlPartManagerBase): void;
    static aaa(a: XmlPartManagerBase): void;
    static uw(a: XmlPartManagerBase, b: ST_Guid, c: number, d: ST_SheetState, e: boolean): {
        p1: ST_Guid;
        p2: number;
        p3: ST_SheetState;
        p4: boolean;
    };
    static aah(a: XmlPartManagerBase, b: ST_Guid, c?: number, d?: ST_SheetState, e?: boolean): void;
    static ux(a: XmlPartManagerBase, b: string, c: ST_FilterOperator): {
        p1: string;
        p2: ST_FilterOperator;
    };
    static aai(a: XmlPartManagerBase, b: string, c?: ST_FilterOperator): void;
    static uy(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static aaj(a: XmlPartManagerBase, b?: boolean): void;
    static uz(a: XmlPartManagerBase, b: ST_Guid, c: number, d: number, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: ST_SheetState, r: boolean, s: ST_SheetViewType, t: boolean, u: string): {
        p1: ST_Guid;
        p2: number;
        p3: number;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: ST_SheetState;
        p17: boolean;
        p18: ST_SheetViewType;
        p19: boolean;
        p20: string;
    };
    static aak(a: XmlPartManagerBase, b: ST_Guid, c?: number, d?: number, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: ST_SheetState, r?: boolean, s?: ST_SheetViewType, t?: boolean, u?: string): void;
    static u0(a: XmlPartManagerBase): void;
    static aal(a: XmlPartManagerBase): void;
    static u1(a: XmlPartManagerBase, b: string, c: ST_Guid, d: number, e: number, f: number, g: boolean, h: Nullable$1<number>, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean, s: number, t: number, u: number, v: boolean, w: boolean, x: ST_Comments, y: ST_Objects): {
        p1: string;
        p2: ST_Guid;
        p3: number;
        p4: number;
        p5: number;
        p6: boolean;
        p7: Nullable$1<number>;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
        p18: number;
        p19: number;
        p20: number;
        p21: boolean;
        p22: boolean;
        p23: ST_Comments;
        p24: ST_Objects;
    };
    static aam(a: XmlPartManagerBase, b: string, c: ST_Guid, d: number, e: number, f: number, g?: boolean, h?: Nullable$1<number>, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean, s?: number, t?: number, u?: number, v?: boolean, w?: boolean, x?: ST_Comments, y?: ST_Objects): void;
    static u2(a: XmlPartManagerBase): void;
    static aan(a: XmlPartManagerBase): void;
    static u3(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
        p3: Nullable$1<boolean>;
    };
    static aao(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>): void;
    static u4(a: XmlPartManagerBase, b: List$1<string>, c: ST_DataValidationType, d: ST_DataValidationErrorStyle, e: ST_DataValidationImeMode, f: ST_DataValidationOperator, g: boolean, h: boolean, i: boolean, j: boolean, k: string, l: string, m: string, n: string): {
        p1: List$1<string>;
        p2: ST_DataValidationType;
        p3: ST_DataValidationErrorStyle;
        p4: ST_DataValidationImeMode;
        p5: ST_DataValidationOperator;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: string;
        p11: string;
        p12: string;
        p13: string;
    };
    static aap(a: XmlPartManagerBase, b: List$1<string>, c?: ST_DataValidationType, d?: ST_DataValidationErrorStyle, e?: ST_DataValidationImeMode, f?: ST_DataValidationOperator, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: string, l?: string, m?: string, n?: string): void;
    static u5(a: XmlPartManagerBase, b: string, c: ST_DataValidationType, d: ST_DataValidationErrorStyle, e: ST_DataValidationImeMode, f: ST_DataValidationOperator, g: boolean, h: boolean, i: boolean, j: boolean, k: string, l: string, m: string, n: string): {
        p1: string;
        p2: ST_DataValidationType;
        p3: ST_DataValidationErrorStyle;
        p4: ST_DataValidationImeMode;
        p5: ST_DataValidationOperator;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: string;
        p11: string;
        p12: string;
        p13: string;
    };
    static aaq(a: XmlPartManagerBase, b: string, c?: ST_DataValidationType, d?: ST_DataValidationErrorStyle, e?: ST_DataValidationImeMode, f?: ST_DataValidationOperator, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: string, l?: string, m?: string, n?: string): void;
    static u6(a: XmlPartManagerBase, b: boolean, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>): {
        p1: boolean;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
    };
    static aar(a: XmlPartManagerBase, b?: boolean, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>): void;
    static u7(a: XmlPartManagerBase, b: ST_DateTimeGrouping, c: number, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<number>, g: Nullable$1<number>, h: Nullable$1<number>): {
        p1: ST_DateTimeGrouping;
        p2: number;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
    };
    static aas(a: XmlPartManagerBase, b: ST_DateTimeGrouping, c: number, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: Nullable$1<number>, g?: Nullable$1<number>, h?: Nullable$1<number>): void;
    static u8(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: boolean): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static aat(a: XmlPartManagerBase, b?: string, c?: boolean, d?: boolean, e?: boolean): void;
    static u9(a: XmlPartManagerBase): void;
    static aau(a: XmlPartManagerBase): void;
    static va(a: XmlPartManagerBase, b: string, c: string): {
        p1: string;
        p2: string;
    };
    static aav(a: XmlPartManagerBase, b?: string, c?: string): void;
    static vc(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string, g: string, h: string, i: Nullable$1<number>, j: boolean, k: boolean, l: boolean, m: boolean, n: Nullable$1<number>, o: string, p: boolean, q: boolean): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
        p6: string;
        p7: string;
        p8: Nullable$1<number>;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: Nullable$1<number>;
        p14: string;
        p15: boolean;
        p16: boolean;
    };
    static aax(a: XmlPartManagerBase, b: string, c: string, d?: string, e?: string, f?: string, g?: string, h?: string, i?: Nullable$1<number>, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: Nullable$1<number>, o?: string, p?: boolean, q?: boolean): void;
    static vb(a: XmlPartManagerBase, b: string, c: string, d: Nullable$1<number>): {
        p1: string;
        p2: string;
        p3: Nullable$1<number>;
    };
    static aaw(a: XmlPartManagerBase, b: string, c?: string, d?: Nullable$1<number>): void;
    static vd(a: XmlPartManagerBase): void;
    static aay(a: XmlPartManagerBase): void;
    static ve(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static aaz(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static vf(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aa0(a: XmlPartManagerBase, b: string): void;
    static vg(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aa1(a: XmlPartManagerBase, b: string): void;
    static vh(a: XmlPartManagerBase, b: string, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<number>, g: Nullable$1<number>, h: Nullable$1<number>, i: Nullable$1<number>, j: Nullable$1<number>, k: Nullable$1<number>, l: Nullable$1<number>, m: Nullable$1<number>, n: Nullable$1<number>, o: Nullable$1<number>, p: Nullable$1<number>, q: Nullable$1<number>, r: Nullable$1<number>, s: Nullable$1<number>, t: Nullable$1<number>): {
        p1: string;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
        p8: Nullable$1<number>;
        p9: Nullable$1<number>;
        p10: Nullable$1<number>;
        p11: Nullable$1<number>;
        p12: Nullable$1<number>;
        p13: Nullable$1<number>;
        p14: Nullable$1<number>;
        p15: Nullable$1<number>;
        p16: Nullable$1<number>;
        p17: Nullable$1<number>;
        p18: Nullable$1<number>;
        p19: Nullable$1<number>;
    };
    static aa2(a: XmlPartManagerBase, b: string, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: Nullable$1<number>, g?: Nullable$1<number>, h?: Nullable$1<number>, i?: Nullable$1<number>, j?: Nullable$1<number>, k?: Nullable$1<number>, l?: Nullable$1<number>, m?: Nullable$1<number>, n?: Nullable$1<number>, o?: Nullable$1<number>, p?: Nullable$1<number>, q?: Nullable$1<number>, r?: Nullable$1<number>, s?: Nullable$1<number>, t?: Nullable$1<number>): void;
    static vi(a: XmlPartManagerBase, b?: string): void;
    static aa3(a: XmlPartManagerBase, b?: string): void;
    static vj(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aa4(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static vk(a: XmlPartManagerBase, b: ST_DynamicFilterType, c: Nullable$1<number>, d: Nullable$1<number>): {
        p1: ST_DynamicFilterType;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
    };
    static aa5(a: XmlPartManagerBase, b: ST_DynamicFilterType, c?: Nullable$1<number>, d?: Nullable$1<number>): void;
    static vl(a: XmlPartManagerBase, b: ST_DynamicFilterType, c: Nullable$1<number>, d: Nullable$1<Date>, e: Nullable$1<Date>): {
        p1: ST_DynamicFilterType;
        p2: Nullable$1<number>;
        p3: Nullable$1<Date>;
        p4: Nullable$1<Date>;
    };
    static aa6(a: XmlPartManagerBase, b: ST_DynamicFilterType, c?: Nullable$1<number>, d?: Nullable$1<Date>, e?: Nullable$1<Date>): void;
    static vm(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static aa7(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static vn(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aa8(a: XmlPartManagerBase, b: string): void;
    static vo(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aa9(a: XmlPartManagerBase, b: string): void;
    static vp(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aba(a: XmlPartManagerBase, b: string, c?: string): void;
    static vq(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static abb(a: XmlPartManagerBase, b?: boolean): void;
    static vr(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static abc(a: XmlPartManagerBase, b: string): void;
    static vs(a: XmlPartManagerBase): void;
    static abd(a: XmlPartManagerBase): void;
    static vt(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static abe(a: XmlPartManagerBase, b: string): void;
    static vu(a: XmlPartManagerBase): void;
    static abf(a: XmlPartManagerBase): void;
    static vv(a: XmlPartManagerBase): void;
    static abg(a: XmlPartManagerBase): void;
    static vw(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static abh(a: XmlPartManagerBase, b: number): void;
    static vx(a: XmlPartManagerBase, b: ST_CellFormulaType, c: boolean, d: string, e: boolean, f: boolean, g: boolean, h: boolean, i: string, j: string, k: boolean, l: Nullable$1<number>, m: boolean, n: string): {
        p1: ST_CellFormulaType;
        p2: boolean;
        p3: string;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: string;
        p9: string;
        p10: boolean;
        p11: Nullable$1<number>;
        p12: boolean;
        p13: string;
    };
    static abi(a: XmlPartManagerBase, b: string, c?: ST_CellFormulaType, d?: boolean, e?: string, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: string, k?: string, l?: boolean, m?: Nullable$1<number>, n?: boolean): void;
    static vy(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static abj(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<number>, d?: Nullable$1<ST_UnsignedIntHex>, e?: Nullable$1<number>, f?: number): void;
    static v0(a: XmlPartManagerBase, b: string, c: boolean, d: number): {
        p1: string;
        p2: boolean;
        p3: number;
    };
    static abl(a: XmlPartManagerBase, b: string, c?: boolean, d?: number): void;
    static vz(a: XmlPartManagerBase, b: string, c: boolean, d: string, e: number[], f: number[], g: Nullable$1<number>): {
        p1: string;
        p2: boolean;
        p3: string;
        p4: number[];
        p5: number[];
        p6: Nullable$1<number>;
    };
    static abk(a: XmlPartManagerBase, b: string, c?: boolean, d?: string, e?: number[], f?: number[], g?: Nullable$1<number>): void;
    static v1(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
    };
    static abm(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: string, f?: string): void;
    static v2(a: XmlPartManagerBase): void;
    static abn(a: XmlPartManagerBase): void;
    static v3(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static abo(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static v4(a: XmlPartManagerBase, b: number, c: boolean, d: boolean): {
        p1: number;
        p2: boolean;
        p3: boolean;
    };
    static abp(a: XmlPartManagerBase, b: number, c?: boolean, d?: boolean): void;
    static v5(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static abq(a: XmlPartManagerBase, b: string): void;
    static v6(a: XmlPartManagerBase, b: boolean, c: ST_CalendarType): {
        p1: boolean;
        p2: ST_CalendarType;
    };
    static abr(a: XmlPartManagerBase, b?: boolean, c?: ST_CalendarType): void;
    static v7(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static abs(a: XmlPartManagerBase, b: string): void;
    static v8(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static abt(a: XmlPartManagerBase, b: string): void;
    static v9(a: XmlPartManagerBase): void;
    static abu(a: XmlPartManagerBase): void;
    static wa(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static abv(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static wd(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aby(a: XmlPartManagerBase, b: string): void;
    static wb(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static abw(a: XmlPartManagerBase, b: string): void;
    static wc(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static abx(a: XmlPartManagerBase, b: string): void;
    static we(a: XmlPartManagerBase, b: ST_GradientType, c: number, d: number, e: number, f: number, g: number): {
        p1: ST_GradientType;
        p2: number;
        p3: number;
        p4: number;
        p5: number;
        p6: number;
    };
    static abz(a: XmlPartManagerBase, b?: ST_GradientType, c?: number, d?: number, e?: number, f?: number, g?: number): void;
    static wf(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static ab0(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean): void;
    static wg(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static ab1(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static wh(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
    };
    static ab2(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: string, f?: string): void;
    static wi(a: XmlPartManagerBase): void;
    static ab3(a: XmlPartManagerBase): void;
    static wj(a: XmlPartManagerBase, b: ST_IconSetType, c: Nullable$1<number>): {
        p1: ST_IconSetType;
        p2: Nullable$1<number>;
    };
    static ab4(a: XmlPartManagerBase, b: ST_IconSetType, c?: Nullable$1<number>): void;
    private static ab5;
    static wk(a: XmlPartManagerBase, b: ST_IconSetType, c: boolean, d: boolean, e: Nullable$1<boolean>, f: boolean): {
        p1: ST_IconSetType;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<boolean>;
        p5: boolean;
    };
    static ab6(a: XmlPartManagerBase, b: string, c: Nullable$1<ST_IconSetType>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>, g: Nullable$1<boolean>): void;
    static wl(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static ab7(a: XmlPartManagerBase, b?: boolean): void;
    static wm(a: XmlPartManagerBase): void;
    static ab8(a: XmlPartManagerBase): void;
    static wn(a: XmlPartManagerBase): void;
    static ab9(a: XmlPartManagerBase): void;
    static wo(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static aca(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static wp(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acb(a: XmlPartManagerBase, b: string): void;
    static wq(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acc(a: XmlPartManagerBase, b: string): void;
    static wr(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acd(a: XmlPartManagerBase, b: string): void;
    static ws(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static ace(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static wt(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acf(a: XmlPartManagerBase, b: string): void;
    static wu(a: XmlPartManagerBase, b: number, c: string): {
        p1: number;
        p2: string;
    };
    static acg(a: XmlPartManagerBase, b: number, c: string): void;
    static wv(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static ach(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static ww(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aci(a: XmlPartManagerBase, b: string): void;
    static wx(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acj(a: XmlPartManagerBase, b: string): void;
    static wy(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: boolean): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static ack(a: XmlPartManagerBase, b?: string, c?: boolean, d?: boolean, e?: boolean): void;
    static wz(a: XmlPartManagerBase): void;
    static acl(a: XmlPartManagerBase): void;
    static w0(a: XmlPartManagerBase, b: string, c: string): {
        p1: string;
        p2: string;
    };
    static acm(a: XmlPartManagerBase, b?: string, c?: string): void;
    static w1(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static acn(a: XmlPartManagerBase, b?: boolean): void;
    static w2(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static aco(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean): void;
    static w3(a: XmlPartManagerBase, b: number, c: number, d: number, e: number, f: number, g: number): {
        p1: number;
        p2: number;
        p3: number;
        p4: number;
        p5: number;
        p6: number;
    };
    static acp(a: XmlPartManagerBase, b: number, c: number, d: number, e: number, f: number, g: number): void;
    static w4(a: XmlPartManagerBase, b: number, c: string, d: string, e: number, f: number, g: number, h: number, i: ST_PageOrder, j: ST_Orientation, k: boolean, l: boolean, m: boolean, n: ST_CellComments, o: boolean, p: ST_PrintError, q: number, r: number, s: number, t: string): {
        p1: number;
        p2: string;
        p3: string;
        p4: number;
        p5: number;
        p6: number;
        p7: number;
        p8: ST_PageOrder;
        p9: ST_Orientation;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: ST_CellComments;
        p14: boolean;
        p15: ST_PrintError;
        p16: number;
        p17: number;
        p18: number;
        p19: string;
    };
    static acq(a: XmlPartManagerBase, b?: number, c?: string, d?: string, e?: number, f?: number, g?: number, h?: number, i?: ST_PageOrder, j?: ST_Orientation, k?: boolean, l?: boolean, m?: boolean, n?: ST_CellComments, o?: boolean, p?: ST_PrintError, q?: number, r?: number, s?: number, t?: string): void;
    static w5(a: XmlPartManagerBase, b: boolean, c: boolean): {
        p1: boolean;
        p2: boolean;
    };
    static acr(a: XmlPartManagerBase, b?: boolean, c?: boolean): void;
    static w6(a: XmlPartManagerBase, b: number, c: number, d: string, e: ST_Pane, f: ST_PaneState): {
        p1: number;
        p2: number;
        p3: string;
        p4: ST_Pane;
        p5: ST_PaneState;
    };
    static acs(a: XmlPartManagerBase, b?: number, c?: number, d?: string, e?: ST_Pane, f?: ST_PaneState): void;
    static w7(a: XmlPartManagerBase, b: Nullable$1<ST_PatternType>): {
        p1: Nullable$1<ST_PatternType>;
    };
    static act(a: XmlPartManagerBase, b?: Nullable$1<ST_PatternType>): void;
    static w8(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acu(a: XmlPartManagerBase, b: string): void;
    static w9(a: XmlPartManagerBase, b: number, c: string): {
        p1: number;
        p2: string;
    };
    static acv(a: XmlPartManagerBase, b: number, c: string): void;
    static xa(a: XmlPartManagerBase): void;
    static acw(a: XmlPartManagerBase): void;
    static xb(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean, f: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
    };
    static acx(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean, f?: boolean): void;
    static xc(a: XmlPartManagerBase, b: string, c: string, d: string, e: Nullable$1<ST_UnsignedShortHex>): {
        p1: string;
        p2: string;
        p3: string;
        p4: Nullable$1<ST_UnsignedShortHex>;
    };
    static xd(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string, g: string, h: Nullable$1<number>): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
        p6: string;
        p7: Nullable$1<number>;
    };
    static acy(a: XmlPartManagerBase, b: string, c: string, d: string, e?: Nullable$1<ST_UnsignedShortHex>): void;
    static acz(a: XmlPartManagerBase, b: string, c: string, d: string, e?: string, f?: string, g?: string, h?: Nullable$1<number>): void;
    static xe(a: XmlPartManagerBase): void;
    static ac0(a: XmlPartManagerBase): void;
    static xf(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<boolean>): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<boolean>;
    };
    static ac1(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<boolean>): void;
    static xg(a: XmlPartManagerBase): void;
    static ac2(a: XmlPartManagerBase): void;
    static xh(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ac3(a: XmlPartManagerBase, b: string): void;
    static xi(a: XmlPartManagerBase, b: Nullable$1<ST_UnsignedIntHex>): {
        p1: Nullable$1<ST_UnsignedIntHex>;
    };
    static ac4(a: XmlPartManagerBase, b?: Nullable$1<ST_UnsignedIntHex>): void;
    static xj(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static ac5(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static xk(a: XmlPartManagerBase, b: number, c: number): {
        p1: number;
        p2: number;
    };
    static ac6(a: XmlPartManagerBase, b: number, c: number): void;
    static xm(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static ac8(a: XmlPartManagerBase, b: number): void;
    static xl(a: XmlPartManagerBase, b: Nullable$1<number>, c: List$1<string>, d: number, e: boolean, f: Nullable$1<number>, g: boolean, h: boolean, i: number, j: boolean, k: boolean, l: boolean, m: boolean, n?: boolean): {
        p1: Nullable$1<number>;
        p2: List$1<string>;
        p3: number;
        p4: boolean;
        p5: Nullable$1<number>;
        p6: boolean;
        p7: boolean;
        p8: number;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
    };
    static ac7(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: List$1<string>, d?: number, e?: boolean, f?: Nullable$1<number>, g?: boolean, h?: boolean, i?: number, j?: boolean, k?: boolean, l?: boolean, m?: boolean): void;
    static xn(a: XmlPartManagerBase): void;
    static ac9(a: XmlPartManagerBase): void;
    static xo(a: XmlPartManagerBase, b: ST_FontScheme): {
        p1: ST_FontScheme;
    };
    static ada(a: XmlPartManagerBase, b: ST_FontScheme): void;
    static xp(a: XmlPartManagerBase, b: ST_Pane, c: string, d: number, e: List$1<string>): {
        p1: ST_Pane;
        p2: string;
        p3: number;
        p4: List$1<string>;
    };
    static adb(a: XmlPartManagerBase, b?: ST_Pane, c?: string, d?: number, e?: List$1<string>): void;
    static xq(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static adc(a: XmlPartManagerBase, b?: boolean): void;
    static xr(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static add(a: XmlPartManagerBase, b?: boolean): void;
    static xs(a: XmlPartManagerBase): void;
    static ade(a: XmlPartManagerBase): void;
    static xt(a: XmlPartManagerBase, b: number, c: boolean): {
        p1: number;
        p2: boolean;
    };
    static adf(a: XmlPartManagerBase, b: number, c?: boolean): void;
    static xu(a: XmlPartManagerBase): void;
    static adg(a: XmlPartManagerBase): void;
    static xv(a: XmlPartManagerBase, b: string, c: number, d: ST_SheetState, e: string): {
        p1: string;
        p2: number;
        p3: ST_SheetState;
        p4: string;
    };
    static adh(a: XmlPartManagerBase, b: string, c: number, d: ST_SheetState, e: string): void;
    static xw(a: XmlPartManagerBase, b: number, c: number, d: Nullable$1<number>, e: boolean, f: boolean, g: boolean, h: boolean, i: number, j: number): {
        p1: number;
        p2: number;
        p3: Nullable$1<number>;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: number;
        p9: number;
    };
    static adi(a: XmlPartManagerBase, b: number, c?: number, d?: Nullable$1<number>, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: number, j?: number): void;
    static xx(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static adj(a: XmlPartManagerBase, b: string): void;
    static xy(a: XmlPartManagerBase): void;
    static adk(a: XmlPartManagerBase): void;
    static xz(a: XmlPartManagerBase, b: boolean, c: boolean, d: string, e: boolean, f: boolean, g: boolean, h: string, i: boolean, j: boolean): {
        p1: boolean;
        p2: boolean;
        p3: string;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: string;
        p8: boolean;
        p9: boolean;
    };
    static adl(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: string, e?: boolean, f?: boolean, g?: boolean, h?: string, i?: boolean, j?: boolean): void;
    static x0(a: XmlPartManagerBase, b: Nullable$1<ST_UnsignedShortHex>, c: boolean, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean): {
        p1: Nullable$1<ST_UnsignedShortHex>;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
    };
    static adm(a: XmlPartManagerBase, b?: Nullable$1<ST_UnsignedShortHex>, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean): void;
    static b3(a: XmlPartManagerBase): boolean;
    static x1(a: XmlPartManagerBase, b: string, c: string, d: string, e: Nullable$1<number>, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean, s: boolean, t: boolean, u: boolean): {
        p1: string;
        p2: string;
        p3: string;
        p4: Nullable$1<number>;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
        p18: boolean;
        p19: boolean;
        p20: boolean;
    };
    static adn(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: Nullable$1<number>, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean, s?: boolean, t?: boolean, u?: boolean): void;
    static x2(a: XmlPartManagerBase): void;
    static ado(a: XmlPartManagerBase): void;
    static x3(a: XmlPartManagerBase, b: number, c: boolean, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: ST_SheetViewType, o: string, p: number, q: number, r: number, s: number, t: number): {
        p1: number;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: ST_SheetViewType;
        p14: string;
        p15: number;
        p16: number;
        p17: number;
        p18: number;
        p19: number;
    };
    static adp(a: XmlPartManagerBase, b: number, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: ST_SheetViewType, o?: string, p?: number, q?: number, r?: number, s?: number, t?: number): void;
    static x4(a: XmlPartManagerBase): void;
    static adq(a: XmlPartManagerBase): void;
    static x5(a: XmlPartManagerBase): void;
    static adr(a: XmlPartManagerBase): void;
    static x6(a: XmlPartManagerBase, b: string, c: boolean, d: ST_SortBy, e: string, f: Nullable$1<number>, g: ST_IconSetType, h: Nullable$1<number>): {
        p1: string;
        p2: boolean;
        p3: ST_SortBy;
        p4: string;
        p5: Nullable$1<number>;
        p6: ST_IconSetType;
        p7: Nullable$1<number>;
    };
    static ads(a: XmlPartManagerBase, b: string, c?: boolean, d?: ST_SortBy, e?: string, f?: Nullable$1<number>, g?: ST_IconSetType, h?: Nullable$1<number>): void;
    private static adt;
    static x7(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: ST_SortMethod): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: ST_SortMethod;
    };
    static adu(a: XmlPartManagerBase, b: string, c?: boolean, d?: boolean, e?: ST_SortMethod): void;
    static x8(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
    };
    static adv(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: Nullable$1<number>): void;
    static x9(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static adw(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static ya(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static adx(a: XmlPartManagerBase, b: number): void;
    static yb(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static ady(a: XmlPartManagerBase, b?: boolean): void;
    static yc(a: XmlPartManagerBase): void;
    static adz(a: XmlPartManagerBase): void;
    static yd(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static ad0(a: XmlPartManagerBase, b: number): void;
    static ye(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static ad1(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): void;
    static yf(a: XmlPartManagerBase, b: number, c: string, d: string, e: ST_TotalsRowFunction, f: string, g: Nullable$1<number>, h: Nullable$1<number>, i: Nullable$1<number>, j: Nullable$1<number>, k: string, l: string, m: string): {
        p1: number;
        p2: string;
        p3: string;
        p4: ST_TotalsRowFunction;
        p5: string;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
        p8: Nullable$1<number>;
        p9: Nullable$1<number>;
        p10: string;
        p11: string;
        p12: string;
    };
    static ad2(a: XmlPartManagerBase, b: number, c?: string, d?: string, e?: ST_TotalsRowFunction, f?: string, g?: Nullable$1<number>, h?: Nullable$1<number>, i?: Nullable$1<number>, j?: Nullable$1<number>, k?: string, l?: string, m?: string): void;
    static yg(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static ad3(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static yh(a: XmlPartManagerBase, b: number, c: string, d: string, e: string, f: string, g: ST_TableType, h: number, i: boolean, j: boolean, k: number, l: boolean, m: boolean, n: Nullable$1<number>, o: Nullable$1<number>, p: Nullable$1<number>, q: Nullable$1<number>, r: Nullable$1<number>, s: Nullable$1<number>, t: string, u: string, v: string, w: Nullable$1<number>): {
        p1: number;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
        p6: ST_TableType;
        p7: number;
        p8: boolean;
        p9: boolean;
        p10: number;
        p11: boolean;
        p12: boolean;
        p13: Nullable$1<number>;
        p14: Nullable$1<number>;
        p15: Nullable$1<number>;
        p16: Nullable$1<number>;
        p17: Nullable$1<number>;
        p18: Nullable$1<number>;
        p19: string;
        p20: string;
        p21: string;
        p22: Nullable$1<number>;
    };
    static ad4(a: XmlPartManagerBase, b: number, c: string, d: string, e: string, f: string, g?: ST_TableType, h?: number, i?: boolean, j?: boolean, k?: number, l?: boolean, m?: boolean, n?: Nullable$1<number>, o?: Nullable$1<number>, p?: Nullable$1<number>, q?: Nullable$1<number>, r?: Nullable$1<number>, s?: Nullable$1<number>, t?: string, u?: string, v?: string, w?: Nullable$1<number>): void;
    static yi(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ad5(a: XmlPartManagerBase, b?: string): void;
    static yj(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static ad6(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static yk(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: Nullable$1<number>): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<number>;
    };
    static ad7(a: XmlPartManagerBase, b: string, c?: boolean, d?: boolean, e?: Nullable$1<number>): void;
    static yl(a: XmlPartManagerBase, b: ST_TableStyleType, c: number, d: Nullable$1<number>): {
        p1: ST_TableStyleType;
        p2: number;
        p3: Nullable$1<number>;
    };
    static ad8(a: XmlPartManagerBase, b: ST_TableStyleType, c?: number, d?: Nullable$1<number>): void;
    static ym(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>): {
        p1: string;
        p2: Nullable$1<boolean>;
        p3: Nullable$1<boolean>;
        p4: Nullable$1<boolean>;
        p5: Nullable$1<boolean>;
    };
    static ad9(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>): void;
    static yn(a: XmlPartManagerBase, b: Nullable$1<number>, c: string, d: string): {
        p1: Nullable$1<number>;
        p2: string;
        p3: string;
    };
    static aea(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: string, d?: string): void;
    static yo(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aeb(a: XmlPartManagerBase, b: string): void;
    static yp(a: XmlPartManagerBase): void;
    static aec(a: XmlPartManagerBase): void;
    static yr(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static aee(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static yq(a: XmlPartManagerBase, b: number, c: boolean, d: boolean, e: Nullable$1<number>): {
        p1: number;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<number>;
    };
    static aed(a: XmlPartManagerBase, b: number, c?: boolean, d?: boolean, e?: Nullable$1<number>): void;
    static ys(a: XmlPartManagerBase, b: string, c: boolean): {
        p1: string;
        p2: boolean;
    };
    static aef(a: XmlPartManagerBase, b: string, c?: boolean): void;
    static yt(a: XmlPartManagerBase, b: ST_UnderlineValues): {
        p1: ST_UnderlineValues;
    };
    static aeg(a: XmlPartManagerBase, b?: ST_UnderlineValues): void;
    static yu(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aeh(a: XmlPartManagerBase, b: string): void;
    static aei(a: XmlPartManagerBase, b: string, c: boolean): void;
    static yv(a: XmlPartManagerBase, b: ST_VerticalAlignRun): {
        p1: ST_VerticalAlignRun;
    };
    static aej(a: XmlPartManagerBase, b: ST_VerticalAlignRun): void;
    static yw(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static aek(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static yx(a: XmlPartManagerBase, b: ST_ConformanceClass): {
        p1: ST_ConformanceClass;
    };
    static ael(a: XmlPartManagerBase, b?: ST_ConformanceClass): void;
    static yy(a: XmlPartManagerBase, b: boolean, c: ST_Objects, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: ST_UpdateLinks, k: string, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean, s: Nullable$1<number>, t: boolean): {
        p1: boolean;
        p2: ST_Objects;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: ST_UpdateLinks;
        p10: string;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
        p18: Nullable$1<number>;
        p19: boolean;
    };
    static aem(a: XmlPartManagerBase, b?: boolean, c?: ST_Objects, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: ST_UpdateLinks, k?: string, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean, s?: Nullable$1<number>, t?: boolean): void;
    static yz(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: Nullable$1<number>, f: Nullable$1<number>): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
    };
    static aen(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: Nullable$1<number>, f?: Nullable$1<number>): void;
    static y0(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: string, f: string, g: string, h: Nullable$1<number>, i: string, j: string, k: string, l: Nullable$1<number>): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: string;
        p5: string;
        p6: string;
        p7: Nullable$1<number>;
        p8: string;
        p9: string;
        p10: string;
        p11: Nullable$1<number>;
    };
    static aeo(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: string, f?: string, g?: string, h?: Nullable$1<number>, i?: string, j?: string, k?: string, l?: Nullable$1<number>): void;
    static y1(a: XmlPartManagerBase, b: ST_Visibility, c: boolean, d: boolean, e: boolean, f: boolean, g: Nullable$1<number>, h: Nullable$1<number>, i: Nullable$1<number>, j: Nullable$1<number>, k: number, l: number, m: number, n: boolean): {
        p1: ST_Visibility;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
        p8: Nullable$1<number>;
        p9: Nullable$1<number>;
        p10: number;
        p11: number;
        p12: number;
        p13: boolean;
    };
    static aep(a: XmlPartManagerBase, b?: ST_Visibility, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: Nullable$1<number>, h?: Nullable$1<number>, i?: Nullable$1<number>, j?: Nullable$1<number>, k?: number, l?: number, m?: number, n?: boolean): void;
    static y2(a: XmlPartManagerBase): void;
    static aeq(a: XmlPartManagerBase): void;
    static y3(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<number>, g: boolean, h: boolean, i: Nullable$1<boolean>, j: Nullable$1<boolean>, k: Nullable$1<boolean>, l: Nullable$1<boolean>, m: Nullable$1<boolean>, n: Nullable$1<boolean>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
        p6: boolean;
        p7: boolean;
        p8: Nullable$1<boolean>;
        p9: Nullable$1<boolean>;
        p10: Nullable$1<boolean>;
        p11: Nullable$1<boolean>;
        p12: Nullable$1<boolean>;
        p13: Nullable$1<boolean>;
    };
    static aer(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: Nullable$1<number>, g?: boolean, h?: boolean, i?: Nullable$1<boolean>, j?: Nullable$1<boolean>, k?: Nullable$1<boolean>, l?: Nullable$1<boolean>, m?: Nullable$1<boolean>, n?: Nullable$1<boolean>): void;
    static y4(a: XmlPartManagerBase, b: number, c: string, d: string, e: boolean): {
        p1: number;
        p2: string;
        p3: string;
        p4: boolean;
    };
    static aes(a: XmlPartManagerBase, b: number, c: string, d: string, e?: boolean): void;
}
